#!/bin/sh

# Verify environment
echo "Starting Bot..."
echo "Node version: $(node -v)"
echo "Working directory: $(pwd)"

# Ensure data directory exists
echo "Checking data directory for guild settings"
mkdir -p /usr/src/app/data

# Check for audio files
echo "Checking audio directory: ${AUDIO_DIR}"
mkdir -p ${AUDIO_DIR}

if [ -z "$(ls -A ${AUDIO_DIR} 2>/dev/null)" ]; then
  echo "Warning: No audio files found in ${AUDIO_DIR}"
  echo "The bot can still run, but won't play sounds in voice channels."
else
  echo "Found audio files:"
  ls -la ${AUDIO_DIR}
fi

# Check for .env file
if [ ! -f .env ]; then
  echo "Warning: No .env file found"
fi

# Start the bot
echo "Starting bot..."
node dist/index.js
